Bug 506649 - "An internal system error has occurred" popup with traceback
"An internal system error has occurred" popup with traceback
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 00:58 EDT by Tom London
Modified: 2009-07-16 03:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.4.8-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 03:14:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error popup from PackageKit (25.73 KB, image/png)
2009-06-18 00:58 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2009-06-18 00:58:54 EDT
Created attachment 348377 [details]
Error popup from PackageKit

Description of problem:
Seem to be getting error popup complaining about trying to convert "11.90" to an int (???)

Version-Release number of selected component (if applicable):
PackageKit-0.4.9-0.2.20090616git.fc12.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Hughes 2009-06-18 03:14:24 EDT
Great bug, thanks!

commit e473806380e146be7c19173c457077513df245a3
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jun 18 08:13:00 2009 +0100

    yum: use a float for present_version as rawhide is 11.90. Fixes rh#506649
Comment 2 Fedora Update System 2009-07-06 06:45:32 EDT
PackageKit-0.4.8-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/PackageKit-0.4.8-2.fc11
Comment 3 Fedora Update System 2009-07-16 03:30:04 EDT
PackageKit-0.4.8-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.